summaryrefslogtreecommitdiffstats
path: root/config/chroot_local-hooks/20-dconf_update
diff options
context:
space:
mode:
authorTails developers <amnesia@boum.org>2013-10-12 16:57:23 +0000
committerTails developers <amnesia@boum.org>2013-10-12 16:57:23 +0000
commit223353cb8bce0c18deca71cb8a464e496a75909c (patch)
treefa8312b27c254d3811844a22e966507918f505c3 /config/chroot_local-hooks/20-dconf_update
parent06d053c87e4ca673295834fd5c8993b6022c7f3a (diff)
Update the system dconf databases at build time.
... so that /etc/dconf/db/local.d is taken into account.
Diffstat (limited to 'config/chroot_local-hooks/20-dconf_update')
-rwxr-xr-xconfig/chroot_local-hooks/20-dconf_update10
1 files changed, 10 insertions, 0 deletions
diff --git a/config/chroot_local-hooks/20-dconf_update b/config/chroot_local-hooks/20-dconf_update
new file mode 100755
index 0000000..b71a317
--- /dev/null
+++ b/config/chroot_local-hooks/20-dconf_update
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+# Update the system dconf databases so that /etc/dconf/db/local.d is
+# taken into account.
+
+echo "Updating the system DConf databases"
+
+dconf update